Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.event.knowledgebase
Interface KnowledgeBaseEventListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DefaultKnowledgeBaseEventListener

    public interface KnowledgeBaseEventListener

extends EventListener

Method Summary
`void` | `afterFunctionRemoved(AfterFunctionRemovedEvent event)` Method called after a function is removed from the rule base
`void` | `afterKnowledgeBaseLocked(AfterKnowledgeBaseLockedEvent event)` Method called after a knowledge base is locked
`void` | `afterKnowledgeBaseUnlocked(AfterKnowledgeBaseUnlockedEvent event)` Method called after a knowledge base is unlocked
`void` | `afterKnowledgePackageAdded(AfterKnowledgePackageAddedEvent event)` Method called after a new package is added to the knowledge base
`void` | `afterKnowledgePackageRemoved(AfterKnowledgePackageRemovedEvent event)` Method called after a package is removed from the knowledge base
`void` | `afterProcessAdded(AfterProcessAddedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterProcessRemoved(AfterProcessRemovedEvent event)` Method called after a function is removed from the knowledge base
`void` | `afterRuleAdded(AfterRuleAddedEvent event)` Method called after a new rule is added to the knowledge base
`void` | `afterRuleRemoved(AfterRuleRemovedEvent event)` Method called after a rule is removed from the knowledge base
`void` | `beforeFunctionRemoved(BeforeFunctionRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeKnowledgeBaseLocked(BeforeKnowledgeBaseLockedEvent event)` Method called before a knowledge base is locked
`void` | `beforeKnowledgeBaseUnlocked(BeforeKnowledgeBaseUnlockedEvent event)` Method called before a knowledge base is unlocked
`void` | `beforeKnowledgePackageAdded(BeforeKnowledgePackageAddedEvent event)` Method called before a new package is added to the knowledge base
`void` | `beforeKnowledgePackageRemoved(BeforeKnowledgePackageRemovedEvent event)` Method called before a package is removed from the knowledge base
`void` | `beforeProcessAdded(BeforeProcessAddedEvent event)` Method called before a process is removed from the knowledge base
`void` | `beforeProcessRemoved(BeforeProcessRemovedEvent event)` Method called before a function is removed from the knowledge base
`void` | `beforeRuleAdded(BeforeRuleAddedEvent event)` Method called before a new rule is added to the knowledge base
`void` | `beforeRuleRemoved(BeforeRuleRemovedEvent event)` Method called before a rule is removed from the knowledge base

Method Detail

### beforeKnowledgePackageAdded

    void beforeKnowledgePackageAdded(BeforeKnowledgePackageAddedEvent event)

  Method called before a new package is added to the knowledge base

  Parameters:
    `event` -

### afterKnowledgePackageAdded

    void afterKnowledgePackageAdded(AfterKnowledgePackageAddedEvent event)

  Method called after a new package is added to the knowledge base

  Parameters:
    `event` -

### beforeKnowledgePackageRemoved

    void beforeKnowledgePackageRemoved(BeforeKnowledgePackageRemovedEvent event)

  Method called before a package is removed from the knowledge base

  Parameters:
    `event` -

### afterKnowledgePackageRemoved

    void afterKnowledgePackageRemoved(AfterKnowledgePackageRemovedEvent event)

  Method called after a package is removed from the knowledge base

  Parameters:
    `event` -

### beforeKnowledgeBaseLocked

    void beforeKnowledgeBaseLocked(BeforeKnowledgeBaseLockedEvent event)

  Method called before a knowledge base is locked

  Parameters:
    `event` -

### afterKnowledgeBaseLocked

    void afterKnowledgeBaseLocked(AfterKnowledgeBaseLockedEvent event)

  Method called after a knowledge base is locked

  Parameters:
    `event` -

### beforeKnowledgeBaseUnlocked

    void beforeKnowledgeBaseUnlocked(BeforeKnowledgeBaseUnlockedEvent event)

  Method called before a knowledge base is unlocked

  Parameters:
    `event` -

### afterKnowledgeBaseUnlocked

    void afterKnowledgeBaseUnlocked(AfterKnowledgeBaseUnlockedEvent event)

  Method called after a knowledge base is unlocked

  Parameters:
    `event` -

### beforeRuleAdded

    void beforeRuleAdded(BeforeRuleAddedEvent event)

  Method called before a new rule is added to the knowledge base

  Parameters:
    `event` -

### afterRuleAdded

    void afterRuleAdded(AfterRuleAddedEvent event)

  Method called after a new rule is added to the knowledge base

  Parameters:
    `event` -

### beforeRuleRemoved

    void beforeRuleRemoved(BeforeRuleRemovedEvent event)

  Method called before a rule is removed from the knowledge base

  Parameters:
    `event` -

### afterRuleRemoved

    void afterRuleRemoved(AfterRuleRemovedEvent event)

  Method called after a rule is removed from the knowledge base

  Parameters:
    `event` -

### beforeFunctionRemoved

    void beforeFunctionRemoved(BeforeFunctionRemovedEvent event)

  Method called before a function is removed from the knowledge base

  Parameters:
    `event` -

### afterFunctionRemoved

    void afterFunctionRemoved(AfterFunctionRemovedEvent event)

  Method called after a function is removed from the rule base

  Parameters:
    `event` -

### beforeProcessAdded

    void beforeProcessAdded(BeforeProcessAddedEvent event)

  Method called before a process is removed from the knowledge base

  Parameters:
    `event` -

### afterProcessAdded

    void afterProcessAdded(AfterProcessAddedEvent event)

  Method called after a function is removed from the knowledge base

  Parameters:
    `event` -

### beforeProcessRemoved

    void beforeProcessRemoved(BeforeProcessRemovedEvent event)

  Method called before a function is removed from the knowledge base

  Parameters:
    `event` -

### afterProcessRemoved

    void afterProcessRemoved(AfterProcessRemovedEvent event)

  Method called after a function is removed from the knowledge base

  Parameters:
    `event` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.